AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: Apache-2.0
AuthorName: DuckDuckGo
AuthorEmail: android@duckduckgo.com
AuthorWebSite: https://duckduckgo.com/
WebSite: https://duckduckgo.com/app
SourceCode: https://github.com/duckduckgo/Android
IssueTracker: https://github.com/duckduckgo/Android/issues
Changelog: https://github.com/duckduckgo/Android/releases

Name: DuckDuckGo Privacy Browser
AutoName: DuckDuckGo
Description: |-
    At DuckDuckGo, we believe the Internet shouldn’t feel so creepy, and getting the
    privacy you deserve online should be as simple as closing the blinds.

    Our app provides the privacy essentials you need to seamlessly take control of
    your personal information as you search and browse the web, no matter where the
    Internet takes you:

    * Escape Advertising Tracker Networks — Our Privacy Protection will block all the hidden third-party trackers we can find, exposing the major advertising networks tracking you over time, so that you can track who’s trying to track you.
    * Increase Encryption Protection — We force sites to use an encrypted connection where available, protecting your data from prying eyes, like ISPs.
    * Search Privately — You share your most personal information with your search engine, like your financial, medical, and political questions. What you search for is your own business, which is why DuckDuckGo search doesn’t track you. Ever.
    * Decode Privacy Policies — We’ve partnered with Terms of Service Didn’t Read to include their scores and labels of website terms of service and privacy policies, where available.

    As you search and browse, the DuckDuckGo Privacy Browser shows you a Privacy
    Grade rating when you visit a website (A-F). This rating lets you see how
    protected you are at a glance, dig into the details to see who we caught trying
    to track you, and learn how we enhanced the underlying site’s privacy measures.
    The Privacy Grade is scored automatically based on the prevalence of hidden
    tracker networks, encryption availability, and website privacy practices.

    Our app provides standard browsing functionality including tabs, bookmarks, and
    autocomplete. In addition to strong Privacy Protection as described above, we
    also packed in some extra privacy features into the browser itself:

    * Fire Button — Clear all your tabs and data with one tap.
    * Application Lock — Secure the app with Touch ID or Face ID.

    Too many people believe you simply can’t expect privacy on the Internet. We’re
    fighting to change that, and have made it our mission to set a new standard of
    trust online. Install DuckDuckGo and take back your privacy!

RepoType: git
Repo: https://github.com/duckduckgo/Android

Builds:
  - versionName: 2.1.1
    versionCode: 52
    commit: v2.1.1
    srclibs:
      - 1:NetCipher@4fe34ede3f44d968e55

  - versionName: 2.1.2
    versionCode: 53
    commit: v2.1.2
    submodules: true

  - versionName: 2.1.3
    versionCode: 54
    commit: v2.1.3
    submodules: true

  - versionName: 2.1.4
    versionCode: 55
    commit: v2.1.4
    submodules: true

  - versionName: 2.1.6
    versionCode: 57
    commit: v2.1.6
    submodules: true
    prebuild: cp libs/android-support-v4.jar libs/OnionKit/libnetcipher/libs/android-support-v4.jar

  - versionName: 2.1.9
    versionCode: 60
    commit: 683ce1862af5aaa59bb4368ceae46312c57b64ef
    submodules: true
    prebuild: cp libs/android-support-v4.jar libs/OnionKit/libnetcipher/libs/android-support-v4.jar

  - versionName: 2.1.10
    versionCode: 61
    commit: c60349d8eacc02dc612ccc137d55816f66b8a876
    submodules: true
    prebuild: cp libs/android-support-v4.jar libs/OnionKit/libnetcipher/libs/android-support-v4.jar

  - versionName: 3.0.2
    versionCode: 64
    commit: ca829f96f7ade3009cd1c2006c6ce0771704df37
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.3
    versionCode: 65
    commit: v3.0.3
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.4
    versionCode: 66
    commit: v3.0.4
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.5
    versionCode: 67
    commit: bac864818338252361960ea4f0ee18f906e47799
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.6
    versionCode: 68
    commit: 897ad0f4b7996217f4ea4ab819262dbaeb759893
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.7
    versionCode: 69
    commit: 16655ecf6951ddae4a4672fd6ce6a3809c28c008
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.8
    versionCode: 70
    commit: 0a1e6698ee52aa48be6c
    submodules: true
    gradle:
      - yes

  - versionName: 3.0.9
    versionCode: 71
    commit: v3.0.9
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.10
    versionCode: 72
    commit: v3.0.10
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.11
    versionCode: 73
    commit: v3.0.11
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.12
    versionCode: 74
    commit: 3.0.12
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.13
    versionCode: 75
    commit: 3.0.13
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.14
    versionCode: 76
    commit: 3.0.14
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.17
    versionCode: 79
    commit: 3.0.17
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.1.0
    versionCode: 100
    commit: 3.1.0
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.1.1
    versionCode: 101
    commit: 3.1.1
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 4.1.1
    versionCode: 40101
    commit: 4.1.1
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r15c

  - versionName: 4.3.0
    versionCode: 40300
    commit: 4.3.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.2.0
    versionCode: 50200
    commit: 5.2.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.6.0
    versionCode: 50600
    commit: 5.6.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.6.1
    versionCode: 50601
    commit: 5.6.1
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.7.0
    versionCode: 50700
    commit: 5.7.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.7.1
    versionCode: 50701
    commit: 5.7.1
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.7.2
    versionCode: 50702
    commit: 5.7.2
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.7.3
    versionCode: 50703
    commit: 5.7.3
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.7.5
    versionCode: 50705
    commit: 5.7.5
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.8.0
    versionCode: 50800
    commit: 5.8.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.9.0
    versionCode: 50900
    commit: 5.9.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b

  - versionName: 5.9.1
    versionCode: 50901
    commit: 5.9.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b

  - versionName: 5.10.2
    versionCode: 51002
    commit: 5.10.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b

  - versionName: 5.10.3
    versionCode: 51003
    commit: 5.10.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b

  - versionName: 5.10.4
    versionCode: 51004
    commit: 5.10.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b

  - versionName: 5.13.0
    versionCode: 51300
    commit: 5.13.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b

  - versionName: 5.15.1
    versionCode: 51501
    commit: 5.15.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.18.0
    versionCode: 51800
    commit: 5.18.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.19.0
    versionCode: 51900
    commit: 5.19.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.20.0
    versionCode: 52000
    commit: 5.20.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.21.1
    versionCode: 52101
    commit: 5.21.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.21.2
    versionCode: 52102
    commit: 5.21.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.24.0
    versionCode: 52400
    commit: 5.24.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.26.0
    versionCode: 52600
    commit: 5.26.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.26.1
    versionCode: 52601
    commit: 5.26.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.27.0
    versionCode: 52700
    commit: 5.27.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.28.3
    versionCode: 52803
    commit: 5.28.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.32.1
    versionCode: 53201
    commit: 5.32.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.34.0
    versionCode: 53400
    commit: 5.34.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.36.3
    versionCode: 53603
    commit: 5.36.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b

  - versionName: 5.40.3
    versionCode: 54003
    commit: 5.40.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b

  - versionName: 5.41.0
    versionCode: 54100
    commit: 5.41.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b

  - versionName: 5.43.0
    versionCode: 54300
    commit: 5.43.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b

  - versionName: 5.46.0
    versionCode: 54600
    commit: 5.46.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    prebuild: sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties
    ndk: r20b

  - versionName: 5.48.0
    versionCode: 54800
    commit: 5.48.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    prebuild: sed -i '/systemProp\.http\.proxy/d' ~/.gradle/gradle.properties
    ndk: r20b

  - versionName: 5.49.1
    versionCode: 54901
    commit: 5.49.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b

  - versionName: 5.50.1
    versionCode: 55001
    commit: 5.50.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b

  - versionName: 5.51.0
    versionCode: 55100
    commit: 5.51.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b

MaintainerNotes: Cannot use AUM/UCM because version code and version name are dynamic.

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 5.51.0
CurrentVersionCode: 55100
